POST
Bearerheader
AuthorizationBearer <token>Installer.com auth token
orderId*stringFormat
uuidCancel order payload
application/json- body
cancelReason*CancelOrderActionReasonValue in
"CUSTOMER_NON_RESPONSIVE""CUSTOMER_REJECTED_OFFER_OR_COSTS""CUSTOMER_CHOSE_OTHER_INSTALLER""CUSTOMER_NOT_INTERESTED""NO_CAPACITY""INTERNAL_CONSTRAINTS""OUTSIDE_COVERAGE_AREA""PRODUCT_OR_MATERIAL_ISSUES""UNINSTALLABLE_OR_NOT_FEASIBLE""OTHER""INCORRECT_INFORMATION"comment?stringOrder cancelled
Example Request
curl -X POST 'https://api.installer.com/api/v1/order/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel' \ -H 'Content-Type: application/json' \ -d '{ "cancelReason": "CUSTOMER_NON_RESPONSIVE"}'Example Response
Empty